# 100MHz board input clock, 133.3333MHz for EMIF refclk
create_clock -name MAIN_CLOCK -period 10 [get_ports fpga_clk_100]
create_clock -name EMIF_REF_CLOCK -period 7.5 [get_ports emif_ref_clk]

# False path 
set_false_path -from [get_ports fpga_reset_n] -to *
set_false_path -from [get_ports altera_reserved_ntrst] -to *

# For USB BlasterII reliability, 25MHz
create_clock -name ALTERA_RESERVED_TCK -period 40 [get_ports altera_reserved_tck]
set_input_delay -clock ALTERA_RESERVED_TCK -clock_fall 3 [get_ports altera_reserved_tdi]
set_input_delay -clock ALTERA_RESERVED_TCK -clock_fall 3 [get_ports altera_reserved_tms]
set_output_delay -clock ALTERA_RESERVED_TCK 3 [get_ports altera_reserved_tdo]

# FPGA IO port constraints
set_false_path -from [get_ports {fpga_button_pio[0]}] -to *
set_false_path -from [get_ports {fpga_button_pio[1]}] -to *
set_false_path -from [get_ports {fpga_button_pio[2]}] -to *
set_false_path -from [get_ports {fpga_button_pio[3]}] -to *
set_false_path -from [get_ports {fpga_dipsw_pio[0]}] -to *
set_false_path -from [get_ports {fpga_dipsw_pio[1]}] -to *
set_false_path -from [get_ports {fpga_dipsw_pio[2]}] -to *
set_false_path -from [get_ports {fpga_dipsw_pio[3]}] -to *
set_false_path -from [get_ports {fpga_led_pio[0]}] -to *
set_false_path -from [get_ports {fpga_led_pio[1]}] -to *
set_false_path -from [get_ports {fpga_led_pio[2]}] -to *
set_false_path -from [get_ports {fpga_led_pio[3]}] -to *
set_false_path -from * -to [get_ports {fpga_led_pio[0]}]
set_false_path -from * -to [get_ports {fpga_led_pio[1]}]
set_false_path -from * -to [get_ports {fpga_led_pio[2]}]
set_false_path -from * -to [get_ports {fpga_led_pio[3]}]

create_clock -name PCS_REF_CLOCK -period 8 [get_ports pcs_clk_125]
derive_pll_clocks -create_base_clocks
#create_clock -name EMAC0_MDC_CLOCK -period 400 [get_pins {soc_0|hps_0|fpga_interfaces|peripheral_emac0|gmii_mdc_o}]
#create_clock -name phy_tx_clk_125 -period 8.00 [get_keepers {soc_system:soc_0|soc_system_hps_0:hps_0|soc_system_hps_0_fpga_interfaces:fpga_interfaces|peripheral_emac0~internal_clock}] -add
#set_output_delay -clock { emac0_fpga_mdc } 50 [get_ports {emac0_fpga_mdc}]
#set_output_delay -clock { emac0_fpga_mdc } 50 [get_ports {emac0_fpga_mdio}]
#set_input_delay  -clock { emac0_fpga_mdc } 50 [get_ports {emac0_fpga_mdio}]
